Qyra
ReferenceSchedulers

Get run logs

Get detailed logs for a specific scheduler run

GET/api/v1/schedulers/runs/{runId}/logs

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
runIdstringYesThe ID of the run (parent job ID)

Responses

200 — Success

{
  "results": {
    "createdByUserName": "string",
    "createdByUserUuid": "string",
    "resourceName": "string",
    "resourceUuid": "string",
    "resourceType": "chart",
    "logs": [
      {
        "createdAt": "2024-01-01T00:00:00.000Z",
        "scheduledTime": "2024-01-01T00:00:00.000Z",
        "status": "scheduled",
        "task": "slackAiPrompt",
        "jobId": "string",
        "isParent": true,
        "details": {
          "thresholdStatus": "met",
          "partialFailures": [
            {
              "error": "string",
              "tileUuid": "string",
              "chartName": "string",
              "chartUuid": "string",
              "type": "dashboard_chart"
            }
          ],
          "createdByUserUuid": "string",
          "organizationUuid": "string",
          "projectUuid": "string"
        },
        "targetType": {},
        "target": "string",
        "jobGroup": "string"
      }
    ],
    "scheduledTime": "2024-01-01T00:00:00.000Z",
    "schedulerName": "string",
    "schedulerUuid": "string",
    "runId": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}